Page MenuHomePhabricator

[Bug] Widget to edit badges should use language fallback
Closed, ResolvedPublic

Description

When editing badges in the sitelinks section on an item page using a language which does not have labels for the badge items, only their plane Q-ids are shown instead of a label in a fallback language. This makes it impossible to set a proper badge using such a language.

Try for example: https://www.wikidata.org/wiki/Q2?uselang=de-ch

Before the first click on edit, there are fallback labels, but after clicking edit once, only the Q-ids appear.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUse API for formatting in JS

Event Timeline

Bene created this task.May 5 2015, 8:16 PM
Bene raised the priority of this task from to Needs Triage.
Bene updated the task description. (Show Details)
Bene added a subscriber: Bene.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2015, 8:16 PM

Adrian worked on this. Not sure where he left off.

Lydia_Pintscher triaged this task as Normal priority.May 15 2015, 2:30 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: adrianheine.
Jonas renamed this task from Widget to edit badges should use language fallback to [Bug] Widget to edit badges should use language fallback.Aug 14 2015, 8:48 AM

I think after https://gerrit.wikimedia.org/r/#/c/199296 this would be the same as T87754. It's probably somewhere in that commit chain.

Just tested. This is still happening.

Sure, why shouldn't it? Up until a working https://gerrit.wikimedia.org/r/#/c/201182/ is merged, there are no language fallbacks at all in front-end generated links. Dunno why T87754 is closed either.

Change 201182 had a related patch set uploaded (by Adrian Lang):
Use API for formatting in JS

https://gerrit.wikimedia.org/r/201182

Lydia_Pintscher moved this task from ready to go to in progress on the Wikidata board.

Change 201182 merged by jenkins-bot:
Use API for formatting in JS

https://gerrit.wikimedia.org/r/201182

hoo closed this task as Resolved.Sep 29 2015, 2:33 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-09-29 board.